PS3 Media Server 1.40.0 is released

Announcements about PS3 Media Server

Re: PS3 Media Server 1.40.0 is released

Postby dee » Fri Sep 23, 2011 7:03 pm

On OS X 10.5.x the last fully working version is 1.30.1. Mencoder as well as MPlayer thow an error when being executed resulting in different screen error messages.

Executing them in terminal:
"dyld: unknown required load command 0x80000022"

This is because of being compiled for 10.6.

All other binaries in the osx folder just work fine.

Workaround for the moment is to copy the 1.30.1. binaries, which are SVN-r33685-4.2.1.

thecontact wrote:first of all, thanks for the OS X version

second, I'm getting a lot of "data corrupted" files, when I try to see with the MEncoder, with TsMuxer I can see the videos just fine, but without subs. I updates my ps3 recently to the last firmware version, could that be the problem? I tried other versions of PMS with the same result ( I'm using always the default configuration that comes with it )

thanks in advance
dee
 
Posts: 1
Joined: Fri Sep 23, 2011 6:49 pm

Re: PS3 Media Server 1.40.0 is released

Postby Irvysan » Fri Sep 23, 2011 11:24 pm

Upgrade Notes:

For 1.23.0 and above:

Just uninstall the older version and install newer one


Just as a note i have never done this with newer revisions, always installed 'over the top' and never had any problems.

Thanks for keeping this project going since the early days when it was not even working properly, this has become my no.1 media server for my ps3 and now my Android devices +1 :)
Irvysan
 
Posts: 77
Joined: Mon Jan 19, 2009 7:24 pm
Location: Somewhere Near Mars (Earth!)

Re: PS3 Media Server 1.40.0 is released

Postby thecontact » Sun Sep 25, 2011 4:28 am

I am in OS X 10.6.8

PS3MS works well, the problem is with the transcoding or with the ps3, on MEncoder, all MKV's give "data corrupted" in the ps3 screen , they work with TSMuxer, but with no subtitles ( I suppose that it's normal )

So should I use version 1.30 to see MKV with subs ?
thecontact
 
Posts: 3
Joined: Fri Sep 23, 2011 4:05 am

Re: PS3 Media Server 1.40.0 is released

Postby Raptor399 » Sun Sep 25, 2011 6:34 am

thecontact wrote:I am in OS X 10.6.8

PS3MS works well, the problem is with the transcoding or with the ps3, on MEncoder, all MKV's give "data corrupted" in the ps3 screen , they work with TSMuxer, but with no subtitles ( I suppose that it's normal )

So should I use version 1.30 to see MKV with subs ?

Well, 1.40 comes with a new mencoder build, so anything is possible. You could try and copy the 1.30 mencoder over the 1.40 version and see if there is a difference (it is located in "/Applications/PS3\ Media\ Server.app/Contents/Resources/Java/osx/mencoder").
Raptor399
Project Member
 
Posts: 1916
Joined: Thu Mar 10, 2011 12:06 am

Re: PS3 Media Server 1.40.0 is released

Postby cristianpan » Mon Sep 26, 2011 3:45 am

thanks
cristianpan
 
Posts: 3
Joined: Thu Sep 22, 2011 3:36 am

Re: PS3 Media Server 1.40.0 is released

Postby Raptor399 » Mon Sep 26, 2011 8:40 am

dee wrote:On OS X 10.5.x the last fully working version is 1.30.1. Mencoder as well as MPlayer thow an error when being executed resulting in different screen error messages.

Executing them in terminal:
"dyld: unknown required load command 0x80000022"

This is because of being compiled for 10.6.

All other binaries in the osx folder just work fine.

Workaround for the moment is to copy the 1.30.1. binaries, which are SVN-r33685-4.2.1.

The above is correct.
The binaries "mencoder" and "mplayer" have been compiled under OSX Lion (10.7), and Apple no longer supports OSX 10.5. Only 10.6 and 10.7 are supported. I didn't realize the binaries would crash under 10.5 - I thought I built them as statically linked binaries - or I would have jotted it down in the CHANGELOG.

Using the binaries from 1.30.1 would be fine.

All other binaries haven't been touched yet, but as soon as I compile those, the same will happen.
Raptor399
Project Member
 
Posts: 1916
Joined: Thu Mar 10, 2011 12:06 am

Re: PS3 Media Server 1.40.0 is released

Postby SubJunk » Mon Sep 26, 2011 10:49 am

Are the updates from 10.5 to 10.6 and 10.7 paid or free? Just wondering if it's reasonable to expect people to update
SubJunk
 
Posts: 1210
Joined: Fri Mar 27, 2009 5:25 am

Re: PS3 Media Server 1.40.0 is released

Postby poiromaniax » Mon Sep 26, 2011 11:35 am

Unfortunately updates arent free,

Older mac (those running PowerPC) cannot run 10.6

If you have a mac with Intel architecture and live in JHB, South Africa - I can supply updates for free (but not 10.7)
poiromaniax
 
Posts: 72
Joined: Tue May 17, 2011 11:51 am

Re: PS3 Media Server 1.40.0 is released

Postby SubJunk » Mon Sep 26, 2011 10:09 pm

Wow, I had heard that they charged for updates but didn't think it was that bad.
Anyway I think this shows we should keep MPlayer/MEncoder at the last version built with 10.5 (assuming that the 10.5 ones still work on 10.6 and 10.7?) until we can find someone who can build new ones on 10.5
SubJunk
 
Posts: 1210
Joined: Fri Mar 27, 2009 5:25 am

Re: PS3 Media Server 1.40.0 is released

Postby Raptor399 » Mon Sep 26, 2011 10:47 pm

SubJunk wrote:Wow, I had heard that they charged for updates but didn't think it was that bad.
Anyway I think this shows we should keep MPlayer/MEncoder at the last version built with 10.5 (assuming that the 10.5 ones still work on 10.6 and 10.7?) until we can find someone who can build new ones on 10.5

I'm not sure 10.5 built binaries will work on 10.7 either, which would exclude everyone on the newest version.
(*edit* On the other hand, old binaries from PMS 1.10 and PMS 1.25 seem to work just fine.)

The real problem is that building MPlayer with "./configure --enable-static" doesn't seem to work on OS X:

Code: Select all
Checking for working compiler ...
Error: Compiler is not functioning correctly. Check your installation and custom CFLAGS -O4 -fomit-frame-pointer -pipe -mmacosx-version-min=10.6 -isystem /Developer/SDKs/MacOSX10.6.sdk -arch i386 -I/tmp/i386/target/include .

Check "config.log" if you do not understand why it failed.

Which says:
Code: Select all
============ Checking for working compiler ============

int main(void) { return 0; }

/usr/bin/gcc-4.2   -O4 -fomit-frame-pointer -pipe -mmacosx-version-min=10.6 -isystem /Developer/SDKs/MacOSX10.6.sdk -arch i386 -I/tmp/i386/target/include /var/folders/22/mk15r87109qf3h56sxm74ptr0000gn/T//mplayer-configure-11138-78103/tmp.c -falign-loops=16 -shared-libgcc -mdynamic-no-pic -I. -Iffmpeg  -static -lm    -o /var/folders/22/mk15r87109qf3h56sxm74ptr0000gn/T//mplayer-configure-11138-78103/tmp
/usr/bin/ld_classic: can't locate file for: -lcrt0.o
collect2: ld returned 1 exit status

As a result dynamically linked binaries are built, which causes the errors on 10.5 where the 10.6 dynamic library don't exist.
...or at least, that's what I think. ;-)
Raptor399
Project Member
 
Posts: 1916
Joined: Thu Mar 10, 2011 12:06 am

PreviousNext

Return to Announcements

Who is online

Users browsing this forum: No registered users and 9 guests